Uploaded image for project: 'MyFaces Core'
  1. MyFaces Core
  2. MYFACES-3928

MyFaces doesn't resolve in OSGi environment when Servlet API 3.1 is present

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.1.16, 2.2.5
    • Fix Version/s: 2.1.17, 2.2.6
    • Component/s: General
    • Labels:
      None

      Description

      Currently it's not possible to use MyFaces in an OSGi environment where a Servlet 3.1 implementation is present.
      This is due to the manifest where the version range is [2.5,3.1) where 3.1 is excluded. This needs to be either expanded to 3.2) or maybe better 4)

        Attachments

          Activity

            People

            • Assignee:
              lu4242 Leonardo Uribe
              Reporter:
              achim_nierbeck Achim Nierbeck
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: